//      
//        
// ,  
//        ( )    
// characters[-2] -   

const ramka = "ramka";
const inv = "inv";

with(app)
{
  var myDoc = activeDocument;
  var myStory = myDoc.selection[0].parentStory;
  var myParagraphs = myStory.paragraphs;
  var paperColor = myDoc.swatches.item("Paper");
  var blackColor = myDoc.swatches.item("Black");

  for(var myCount=0; myCount < myStory.paragraphs.length; myCount ++)
  { 
    var myStyle = myParagraphs[myCount].appliedParagraphStyle.name;
    var myParagraph = myParagraphs[myCount];
    if(myStyle == ramka)
    {
      var myStart = myParagraph.characters[0].index;
      var myEnd = myParagraph.characters[-2].index;
      var myText = myStory.characters.itemByRange(myStart, myEnd);
      var myTable = myText.convertToTable();
      var myCell = myTable.cells[0];
      myCell.fillColor = paperColor;
      myCell.paragraphs[0].fillColor = blackColor;
    }
    else if(myStyle == inv)
    {
      var myStart = myParagraph.characters[0].index;
      var myEnd = myParagraph.characters[-2].index;
      var myText = myStory.characters.itemByRange(myStart, myEnd);
      var myTable = myText.convertToTable();
      var myCell = myTable.cells[0];
      myCell.fillColor = blackColor;
      myCell.paragraphs[0].fillColor = paperColor;
    }
  }
}
alert("ok");
